Bug 491466 - abiword's collaboration won't work in the Sugar environment
abiword's collaboration won't work in the Sugar environment
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: abiword (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Marc Maurer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOnXO
  Show dependency treegraph
 
Reported: 2009-03-21 08:52 EDT by Tomeu Vizoso
Modified: 2010-02-06 08:05 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-06 08:05:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomeu Vizoso 2009-03-21 08:52:15 EDT
It doesn't work because the abicollab plugin needs to be built with an special flag so Sugar support gets compiled in.

Have tested that adding the flag as follows makes it work:

-CXXFLAGS="-L$RPM_BUILD_DIR/%{name}-%{version}/src/wp/main/unix/" %configure --disable-gda --enable-libabiword --with-abiword=$RPM_BUILD_DIR/%{name}-%{version}
+CXXFLAGS="-L$RPM_BUILD_DIR/%{name}-%{version}/src/wp/main/unix/" %configure --disable-gda --enable-libabiword --with-abiword=$RPM_BUILD_DIR/%{name}-%{version} --with-abicollab-sugar-backend
Comment 1 Simon Schampijer 2009-03-22 14:04:26 EDT
Oh - I checked the spec for that but did overlook that there was a %if %{olpc_build} switch. I guess we do not build olpc only packages anymore - so I guess we can take that switch out.
Comment 2 Marc Maurer 2009-03-23 15:15:30 EDT
The OLPC switch is still needed, since it enables a few explicit OLPC specific patches.

Building the sugar backend unconditionally is probably not a good idea yet, as it enables (using DEFINEs) some rather b0rked code for normal systems.
Comment 3 Simon Schampijer 2009-03-23 19:03:50 EDT
I wonder how we can move on with that then. Would be pity if Sugar on Fedora would not have the collab ability. And as OLPC can not carry any forked packages anymore - there has to be another solution. Of course you as a maintainer know best the abiword inner parts to comment on those best.
Comment 4 Simon Schampijer 2009-03-24 05:09:27 EDT
Marc, is there a realistic time frame about how much time it would take to enable sugar support without hurting other users? Is this doable for F11, or a more long term project?
Comment 5 Bug Zapper 2009-06-09 08:28:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Tomeu Vizoso 2009-07-15 06:45:05 EDT
Quite a bit of work has gone to AbiCollab during the 2.8 version of Abiword. Marc, has this issue been addressed or do we stand in the same place as before? Thanks!
Comment 7 Marc Maurer 2009-07-17 16:22:55 EDT
I *may* have fixed it, but i may also have broken it... I can see 1 crasher happening, but that would not happen in the sugar environment, but in the normal environment.

Try it I'd say (I think I enabled the sugar backend in F12)
Comment 8 Peter Robinson 2009-08-07 07:01:59 EDT
It seems the collab isn't enabled in the standard build in rawhide atm. I did notice a fix in collab in the 2.7.8 release but I'm not sure if that's the fix your referring to. Also what's the difference between the collab-backend-sugar or the "normal" backend?

%if %{olpc_build}
%configure --disable-static --enable-dynamic --disable-gnomevfs --disable-gucharmap --disable-printing --enable-plugins="loadbindings collab" --enable-collab-backend-sugar
%else
%configure --disable-static --enable-dynamic --enable-plugins --enable-clipart --enable-templates
%endif

Of the above differences (other than the collab) I think gnomevfs and printing are no longer valid now abiword uses gtk/gio/gtkprint, not sure how much size gucharmap brings to the table, and if the clipart is large it probably should be in a noarch subpackage anyway.

The only other difference in the olpc build I can see is the following patches:

%if %{olpc_build}
Patch100: abiword-2.6.4-defaultfont.patch
Patch101: abiword-2.6.4-draghandles.patch
Patch102: abiword-2.6.4-nohtmloptions.patch
%endif

Not sure if they're still valid if the build is working OK on sugar currently (minus collab of course).
Comment 9 Sebastian Dziallas 2009-10-25 15:09:22 EDT
Has anybody tested this lately? Is this still an issue? Would be good to know for the upcoming SoaS release.
Comment 10 Bug Zapper 2009-11-16 04:52:35 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Peter Robinson 2009-11-20 05:44:56 EST
Is this now fixed?
Comment 12 Peter Robinson 2010-02-03 06:29:06 EST
Tomeu can you confirm if this is still and issue?
Comment 13 Tomeu Vizoso 2010-02-06 08:05:41 EST
(In reply to comment #12)
> Tomeu can you confirm if this is still and issue?    

Yes, this is confirmed to work in F12-based Blueberry. Thanks all for your help, specially Marc.

Note You need to log in before you can comment on or make changes to this bug.